View Issue Details

IDProjectCategoryView StatusLast Update
0023772mantisbtapi restpublic2018-02-06 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.10.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023772: Support attachments when adding notes via REST API
Description

Following is an example:

URL: {{url}}/api/rest/issues/123/notes
METHOD: POST
PAYLOAD:

{
  "text": "This is a test note with two attachment",
  "view_state": {
    "name": "public"
  },
  “files”: [
    {
        "name": "test1.txt",
        "content": "VGhpcyBpcyBhIFRFU1QuDQpUaGlzIGlzIGEgVEVTVC4NClRoaXMgaXMgYSBURVNULg0KVGhpcyBpcyBhIFRFU1QuDQpUaGlzIGlzIGEgVEVTVC4="
    },
    {
        "name": "test2.txt",
        "content": "VGhpcyBpcyBhIFRFU1QuDQpUaGlzIGlzIGEgVEVTVC4NClRoaXMgaXMgYSBURVNULg0KVGhpcyBpcyBhIFRFU1QuDQpUaGlzIGlzIGEgVEVTVC4="
    }
  ]
}
TagsNo tags attached.

Activities

Issue History

Date Modified Username Field Change
2018-01-03 15:24 vboctor New Issue
2018-01-03 15:24 vboctor Status new => assigned
2018-01-03 15:24 vboctor Assigned To => vboctor
2018-01-03 15:41 vboctor Note Added: 0058467
2018-01-10 21:23 vboctor Status assigned => resolved
2018-01-10 21:23 vboctor Resolution open => fixed
2018-01-10 21:23 vboctor Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed